Bug#654899: libarchive-zip-perl: jh_manifest from javahelper creates corrupt archives (jars)

Wookey wookey at wookware.org
Fri Jan 6 17:57:29 UTC 2012

+++ Wookey [2012-01-06 16:59 +0000]:
> I am now in the process of trying the latest release Archive::ZIP 0.31_3

OK. I've done that. (It's packaged now - should I upload that or send
it to someone?)

But it doesn't seem to solve the problem. My perl-foo is a biut weak
for this of thing. Clues would be welcome, as I think the workaround in 
is pretty ugly and we should try and fix this properly.

0.31_3 doesn't include the fix in
https://rt.cpan.org/Public/Bug/Display.html?id=54827 for some reason,
just a load of other fixes. NOt sure if that was because the author
doesn't think it's right?

Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM

More information about the pkg-perl-maintainers mailing list